%define upstream_name    Crypt-Cracklib
%define upstream_version 1.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl interface to Alec Muffett's Cracklib
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Crypt-Cracklib-1.6-fix-path.patch
BuildRequires: libcrack-devel
BuildRequires: perl(Pod::Coverage)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl-devel



%description
This is a simple interface to the cracklib library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.700.0-6.mga4
+ Revision: 524234
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.700.0-5.mga4
+ Revision: 430607
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.700.0-4.mga3
+ Revision: 364832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.700.0-3.mga3
+ Revision: 250389
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.700.0-2.mga2
+ Revision: 103787
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 31817
- mageia rebuild
- imported package perl-Crypt-Cracklib


* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.700.0-1mdv2011.0
+ Revision: 626819
- update to new version 1.7

* Mon Dec 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.600.0-1mdv2011.0
+ Revision: 625379
- new version

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.500.0-1mdv2011.0
+ Revision: 561544
- update to 1.5

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.4-3mdv2011.0
+ Revision: 555712
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.4-2mdv2010.0
+ Revision: 430348
- rebuild

* Thu Aug 07 2008 Olivier Thauvin <nanardon@mandriva.org> 1.4-1mdv2009.0
+ Revision: 265364
- import perl-Crypt-Cracklib


